## org.apache.lucene.analysis
Class CannedBinaryTokenStream.BinaryToken

    java.lang.Object
      org.apache.lucene.analysis.CannedBinaryTokenStream.BinaryToken

Enclosing class:
  CannedBinaryTokenStream

    public static final class CannedBinaryTokenStream.BinaryToken

extends Object

Represents a binary token.

Constructor Summary
`CannedBinaryTokenStream.BinaryToken(BytesRef term)`
`CannedBinaryTokenStream.BinaryToken(BytesRef term, int posInc, int posLen)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CannedBinaryTokenStream.BinaryToken

    public CannedBinaryTokenStream.BinaryToken(BytesRef term)

### CannedBinaryTokenStream.BinaryToken

    public CannedBinaryTokenStream.BinaryToken(BytesRef term,
                                               int posInc,
                                               int posLen)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.